set -e

nix-build '<nixpkgs/nixos>' \
  -A config.system.build.sdImage \
  --arg pkgs 'import <nixpkgs> { crossSystem = { system = "armv7l-linux"; }; }' \
  -I nixos-config=./rpi2.nix

cp result/sd-image/nixos-rpi2.img .
rm result